Subject: Re: [patch] add iocb to network protocols

From: Benjamin LaHaise <[email-masked]>
Date: Fri, 11 Oct 2002 16:24:48 -0400

Hello,

On Sat, Oct 12, 2002 at 12:15:48AM +0400, [email-masked] wrote:
> However, I do not understand this. You need to pass forth and back
> SCM_RIGHTS is some way. It is quite dubious to make this asynchronously.
> The same is surely true about credentials, they should be latched
> on entry, not at the moment of real execution.

You actually do get to execute synchronously in the user's context the 
first time the function is entered to queue the operation, so collecting 
the credentials on entry and storing them for future use will work.  I'll 
submit a cleanup that does this.

		-ben
-- 
"Do you seek knowledge in time travel?"